<?php

namespace App\System\Module;

use App\System\Model\SettingModel;

class mutlucell {
    public function mutlucell_info(){
        return [
            "name" => "MutluCell SMS Sistemi",
            "description" => "Sistem üzerinden yapılacak olan işlemleri ve bildirimleri SMS aracılığıyla da iletilmesini sağlar",
            "version" => "1.0",
            "vercode" => 10,
            "author" => "ITenGriTR"
        ];
    }
    public function mutlucell_sendmessage($data = []){
        if($data["dial"] != "90"){
            return ["status" => false,"message" => "MutluCell modülü ile sadece +90 numaralara SMS gönderebilirsiniz"];
        }
        $phone = $data["phone"];
        $message = $data["message"];
        $settings = SettingModel::beGetSettings("mutlucell_usercode,mutlucell_password,mutlucell_header");
        $ch = curl_init("https://smsgw.mutlucell.com/smsgw-ws/sndblkex");
        curl_setopt($ch,CURLOPT_RETURNTRANSFER,true);
        curl_setopt($ch,CURLOPT_POSTFIELDS,'<?xml version="1.0" encoding="UTF-8"?><smspack charset="turkish" ka="'.$settings["mutlucell_usercode"].'" pwd="'.$settings["mutlucell_password"].'" org="'.$settings["mutlucell_header"].'"><mesaj><metin>'.$message.'</metin><nums>'.$phone.'</nums></mesaj></smspack>');
        curl_setopt($ch,CURLOPT_SSL_VERIFYPEER,false);
        curl_setopt($ch,CURLOPT_HTTPHEADER,[
            "Content-Type: text/xml"
        ]);
        $response = curl_exec($ch);
        curl_close($ch);
        if($response[0] != "$"){
            return ["status" => false,"message" => "MutluCell bir hata yakaladı hata kodu {$response} lütfen kontrol edin"];
        }
        return ["status" => true,"message" => "Başarılı bir şekilde mesaj gönderildi"];
    }
}
?>